ESRIRegistrationMgr: Fatal error: Could not load ArcGISVersion

7466
9
Jump to solution
02-18-2016 03:25 PM
XuehanJing
New Contributor III

Hi,

I tried to upgrade my ArcGIS for Desktop 10.3.1 to 10.4. However I got error during the installation process. ESRIRegistrationMgr: <TimeStamp>:Fatal error: Could not load ArcGISVersion. Has anyone seen this error before.

I tired to repair, uninstall and reinstalled couple of times, but it didn't help.

Error.png

My machine is Windows 7 Enterprise 64 bit SP1.

Thanks.

1 Solution

Accepted Solutions
DanielUrbach
Occasional Contributor II

There was a known issue in the beta version regarding this error, it happened when the 10.4 ArcGIS for Desktop was installed AFTER ArcGIS Earth was installed.

It looks like this issue persisted into the final release.

I recommend running the ArcGIS Earth Repair Utility provided in this KB article:
http://support.esri.com/en/knowledgebase/techarticles/detail/46001

View solution in original post

9 Replies
V_StuartFoote
MVP Frequent Contributor

If on a network pool, has the license manager you use been updated to the 10.4 ArcGIS LM release?

XuehanJing
New Contributor III

Thanks for reply. I am not using the License Manager.

0 Kudos
V_StuartFoote
MVP Frequent Contributor

Xuehan Jing

Hmmm, could you have a look in C:\ProgramData\FLEXnet for the ARCGIS_xxxxxxxx_event.log looking for and EventCode with Message: Incorrect version of the service installed

If so, likely same issue I just had with a Single Use seat install.  See: Error message -- "Unable to prepare your authorization". Caused by FNPLicensingService.exe not being...

Stuart

XuehanJing
New Contributor III

Hi Stuart,

Here is my log,

16:51:14 19-02-2016 

,,

EventCode: 2000001d, Message: MTJz4USsG42tIIX2a9A+oQYmk/xvnAlq3kGp3RRLe7PT9DFRhbzzI1o=
16:51:14 19-02-2016 

,,

EventCode: 20000020, Message: MTJz4USsG42t3gs7s+YegeYWR2fQQ2PFJoo=
16:51:14 19-02-2016 

,,

EventCode: 1000000f, Message: MTJz4USsG42t3gs7s+YegeYWR2fZPq4PeOpPs9P7Xb4iSw==

The good thing was that, I was able to revert back to 10.3.1 now, but still can't install 10.4. What I did is, I uninstalled the corrupted ArcMap, and installed the 10.22 first. Then I was able to upgrade from 10.22 to 10.3.1.

The next step I will do is to wipe out my machine so I can do a very clear installation of 10.4.

Thanks for your help so far.

Xuehan

0 Kudos
DavidCobb1
New Contributor

I am having the same issue.  Have tried multiple times to install and always the same result.  Esri Community

0 Kudos
DanielUrbach
Occasional Contributor II

There was a known issue in the beta version regarding this error, it happened when the 10.4 ArcGIS for Desktop was installed AFTER ArcGIS Earth was installed.

It looks like this issue persisted into the final release.

I recommend running the ArcGIS Earth Repair Utility provided in this KB article:
http://support.esri.com/en/knowledgebase/techarticles/detail/46001

View solution in original post

XuehanJing
New Contributor III

Hey Danny,

Thanks for the reply. I will give it a try and let you know if it solve the issue.

0 Kudos
XuehanJing
New Contributor III

Yeah, ArcGIS Earth was the issue. I run the utility and solved issue. Thanks Danny.

ChrisAndrews
Esri Contributor

Please note that this issue only occurred with Earth 1.0 Beta and is not in Earth 1.0 production.  Please see this knowledge base article for more information:

46001 - ArcMap 10.4 (Prerelease or Final) won't run if installed after ArcGIS Earth 1.0 Beta

Thanks,
Chris